fcf.module({
  name: "fcf:NServer/NControllers/Variables.js",
  dependencies: ["fcf:NServer/NServer.js", "fcf:NServer/NControllers/Controller.js"],
  module: function(NServer, Controller) {
    let NControllers = fcf.prepareObject(fcf, "NServer.NControllers");

    var resultContext = false;

    NControllers.Variables = class Variables extends Controller {

      action(a_request) {
        a_request.setHeader("Content-Type", "application/json");
        a_request.sendObject(fcf.NTools.cache.get("fcf", "variables"));
      }

    }

    return NServer.NControllers.Variables;
  }
});
